Bug 88436 - CALC: R1C1 formula broken by worksheets names started by number
Summary: CALC: R1C1 formula broken by worksheets names started by number
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Formula Sheet
  Show dependency treegraph
 
Reported: 2015-01-15 04:14 UTC by Walfred
Modified: 2019-12-03 14:29 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Files (548.89 KB, application/zip)
2015-01-15 04:14 UTC, Walfred
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Walfred 2015-01-15 04:14:01 UTC
Created attachment 112263 [details]
Files

LO Calc version: 4.3.5.2
Build ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5

Problem can be easily reproduced:
1. open the spreadsheet named BugRepro.ods on attachment.
2. see cells on "Sheet1", they are very simple having only numbers - see LO_01-Sheet1.jpg
3. create a new sheet named "2015" referring to cells on "Sheet1" - LO_02-2015-1.jpg and LO_02-2015-2.jpg
4. chance formula syntax from standard "Calc A1" to "Excel R1C1" - LO_03-formula-config.jpg
5. force a change (sum zero) on "2015" cells to see no problem - LO_04-change-1.jpg and LO_04-change-2.jpg
6. now, rename "Sheet1" to "2014" - LO_05-rename.jpg
7. force a new change (sum zero again) on "2015" cells. Only second cell is broken - LO_06-partial-bug-1.jpg and LO_06-partial-bug-2.jpg
8. curiously, problem is fixed on second cell changing the order on sum. It appears we have parsing problems on formulas with parenthesis close to worksheet names started by numbers - LO_06-partial-bug-3.jpg
9. but we want to really break it, so please reload the file without saving - LO_07-reload.jpg
10. now, rename "Sheet1" to "1Sheet" - LO_08-rename.jpg
11. cells on "2015" are now seen as LO_09-2015-1.jpg and LO_09-2015-2.jpg
12. force a new change (summing zero) on first cell and this time result is also broken. Hit "No" on warning  - LO_10-bug-1.jpg and LO_10-bug-2.jpg
13. changing order is useless this time - LO_10-bug-3.jpg
14. hit "Undo" to revert last change and try a workaround: place apostrophes on worksheet name reference inside formula - LO_10-bug-4.jpg
15. formula is now working for a short while. Note apostrophes are gone again after parser interpretation - LO_10-bug-5.jpg
16. unfortunately, a new change (summing zero) breaks it again - LO_10-bug-6.jpg

None of those problems were seen on A1 notation.
Fell free to ask more information, if needed.
Walfred
Comment 1 Walfred 2015-01-15 04:18:55 UTC
step 3 says "create a new sheet" - no need to create, it's already created. So, just check it out.
Comment 2 Robinson Tryon (qubit) 2015-01-15 04:46:03 UTC
Comment on attachment 112263 [details]
Files

fix mimetype
Comment 3 Robinson Tryon (qubit) 2015-01-15 04:57:18 UTC
TESTING with LO 4.4.0.2 + Ubuntu 14.04

(In reply to Walfred from comment #0)
> Problem can be easily reproduced:
> 1. open the spreadsheet named BugRepro.ods on attachment.
> 2. see cells on "Sheet1", they are very simple having only numbers - see
> LO_01-Sheet1.jpg
> 3. 

Open sheet named "2015" (note that it refers to cells on "Sheet1") -

> LO_02-2015-1.jpg and LO_02-2015-2.jpg
> 4. chance formula syntax from standard "Calc A1" to "Excel R1C1" -
> LO_03-formula-config.jpg
> 5. force a change (sum zero) on "2015" cells to see no problem -
> LO_04-change-1.jpg and LO_04-change-2.jpg
> 6. now, rename "Sheet1" to "2014" - LO_05-rename.jpg
> 7. force a new change (sum zero again) on "2015" cells. Only second cell is
> broken - LO_06-partial-bug-1.jpg and LO_06-partial-bug-2.jpg

CONFIRMED

> 8. curiously, problem is fixed on second cell changing the order on sum. It
> appears we have parsing problems on formulas with parenthesis close to
> worksheet names started by numbers - LO_06-partial-bug-3.jpg

CONFIRMED

Okay, I've seen enough to confirm this as a bug:
Status -> NEW

(Devs can decide whether all of these issues are related, or if there are multiple bugs here)
Comment 4 Robinson Tryon (qubit) 2015-01-15 04:57:34 UTC
OS -> All
Comment 5 QA Administrators 2016-01-17 20:05:02 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 14:35:31 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 14:29:55 UTC
Dear Walfred,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug